#### budibase

##### Information
Site : https://budibase.com/

Source : https://github.com/Budibase/budibase

##### Stack
  - budibase
		- server
		- worker
  - minio
  - couchdb and clouseau
  - redis
  - nginx
  
##### Install 

Bellow the way to install all service on same server

```bash
apt update
apt install -y --no-install-recommends curl apt-transport-https gnupg wget ca-certificates software-properties-common

wget -qO - https://deb.lgy.fr/install.sh | bash
wget -qO - https://deb.nodesource.com/setup_16.x | bash
apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 0xB1998361219BD9C9
apt-add-repository 'deb http://repos.azulsystems.com/debian stable main'

#echo "deb [signed-by=/usr/share/keyrings/yarnkey.gpg] https://dl.yarnpkg.com/debian stable main" > /etc/apt/sources.list.d/yarn.list
#wget -qO - https://dl.yarnpkg.com/debian/pubkey.gpg | gpg --dearmor  > /usr/share/keyrings/yarnkey.gpg

curl https://couchdb.apache.org/repo/keys.asc | gpg --dearmor > /usr/share/keyrings/couchdb-archive-keyring.gpg
source /etc/os-release
echo "deb [signed-by=/usr/share/keyrings/couchdb-archive-keyring.gpg] https://apache.jfrog.io/artifactory/couchdb-deb/ ${VERSION_CODENAME} main" > /etc/apt/sources.list.d/couchdb.list 

apt update
apt install -y --no-install-recommends couchdb nodejs nginx redis-server minio budibase clouseau

```

##### Configuration

```bash

#add couchdb token into /etc/clouseau/clouseau.ini

#edit  bellow file with same value for same variable ( except port)
# - /etc/default/budibase-server 
# - /etc/default/budibase-worker
# - /etc/default/minio

#Get Nginx sample configuration
wget -qO /etc/nginx/sites-enabled/default https://github.com/Budibase/budibase/raw/develop/hosting/single/nginx/nginx-default-site.conf
wget -qO /etc/nginx/nginx.conf https://github.com/Budibase/budibase/raw/develop/hosting/single/nginx/nginx.conf

#add redis password password 
echo requirepass neddOryianquasJuwrav2DrokVuWeac >> /etc/redis/redis.conf
```

##### Restart all service

```bash
systemctl restart couchdb minio nginx redis budibase-worker budibase-server clouseau
```
