#### keycloak

##### Information

Site : https://www.keycloak.org/

Source : https://github.com/keycloak/keycloak

##### Install

```bash
apt install -y wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt install keycloak

# edit /etc/default/keycloak
# edit /etc/keycloak/keycloak.conf

systemctl enable --now keycloak
```

##### Configuration

Create database sample on postgresql 

```SQL
CREATE USER keycloak WITH PASSWORD 'password';

CREATE DATABASE "keycloak"
WITH OWNER "keycloak"
ENCODING 'UTF8'
LC_COLLATE = 'fr_FR.UTF-8'
LC_CTYPE = 'fr_FR.UTF-8'
TEMPLATE template0;

GRANT ALL privileges ON DATABASE keycloak TO keycloak;
```
